Bug 144137 (IT_62045) - CAN-2004-1235 isec.pl do_brk() privilege escalation
Summary: CAN-2004-1235 isec.pl do_brk() privilege escalation
Status: CLOSED ERRATA
Alias: IT_62045
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: reported=20041222,public=20050106,imp...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-04 19:39 UTC by Josh Bressers
Modified: 2013-08-06 01:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 15:37:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:016 normal SHIPPED_LIVE Important: kernel security update 2005-01-21 05:00:00 UTC

Description Josh Bressers 2005-01-04 19:39:40 UTC
isec.pl reported a missing down() on mmap_sem semaphore whilst calling do_brk;
so if do_brk() sleeps on a kmalloc it may get into a VMA list race - leading to
results similar to the do_brk exploit.

Comment 2 Josh Bressers 2005-01-04 19:49:25 UTC
Attachment 109343 [details]
Contains the patch for this issue.

Comment 3 Mark J. Cox 2005-01-10 09:29:46 UTC
Removing embargo

Comment 4 Jim Paradis 2005-01-17 20:50:46 UTC
A fix for this problem has also been committed to the RHEL2.1 U7
patch pool (in kernel version 2.4.9-e.59)


Comment 5 Josh Bressers 2005-01-21 15:37:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-016.html



Note You need to log in before you can comment on or make changes to this bug.